package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * IOT仪器弹出视频对象 wx_mode_open_source
 *
 * @author flossom
 * @date 2024-01-29
 */
public class WxModeOpenSource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** $column.columnComment */
    private Long modeId;


    /** 弹出标题 */
    @Excel(name = "弹出标题")
    private String openTitle;

    /** 弹出媒体URL */
    @Excel(name = "弹出媒体URL")
    private String openSourceUrl;

    /** 文件名字 */
    @Excel(name = "文件名字")
    private String openSourceName;

    /** 文件后缀 */
    @Excel(name = "文件后缀")
    private String openSourceSuffix;

    /** 提示内容 */
    @Excel(name = "提示内容")
    private String openContent;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setOpenTitle(String openTitle)
    {
        this.openTitle = openTitle;
    }

    public String getOpenTitle()
    {
        return openTitle;
    }
    public void setOpenSourceUrl(String openSourceUrl)
    {
        this.openSourceUrl = openSourceUrl;
    }

    public String getOpenSourceUrl()
    {
        return openSourceUrl;
    }
    public void setOpenSourceName(String openSourceName)
    {
        this.openSourceName = openSourceName;
    }

    public String getOpenSourceName()
    {
        return openSourceName;
    }
    public void setOpenSourceSuffix(String openSourceSuffix)
    {
        this.openSourceSuffix = openSourceSuffix;
    }

    public String getOpenSourceSuffix()
    {
        return openSourceSuffix;
    }
    public void setOpenContent(String openContent)
    {
        this.openContent = openContent;
    }

    public String getOpenContent()
    {
        return openContent;
    }

    public Long getModeId() {
        return modeId;
    }

    public void setModeId(Long modeId) {
        this.modeId = modeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openTitle", getOpenTitle())
            .append("openSourceUrl", getOpenSourceUrl())
            .append("openSourceName", getOpenSourceName())
            .append("openSourceSuffix", getOpenSourceSuffix())
            .append("openContent", getOpenContent())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
